Bug 246923 - devel/notcurses: update to 1.5.0
Summary: devel/notcurses: update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-01 21:24 UTC by Nick Black
Modified: 2020-06-13 15:54 UTC (History)
2 users (show)

See Also:


Attachments
svn-based update to 1.4.4.1 (1.49 KB, patch)
2020-06-01 21:24 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (2.13 KB, patch)
2020-06-04 06:35 UTC, Fernando Apesteguía
no flags Details | Diff
Mark IGNORE on FreeBSD < 12 (2.24 KB, patch)
2020-06-05 06:07 UTC, Fernando Apesteguía
nickblack: maintainer-approval-
Details | Diff
rollup patch update to 1.5.0 (2.13 KB, patch)
2020-06-09 21:43 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
1.5.0 update patch that passes portlint -C (2.14 KB, patch)
2020-06-11 08:11 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
1.5.0 patch passes portlint -C / makeplist (2.60 KB, patch)
2020-06-12 04:25 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
1.5.0 with 11 guard + portlint clear + makeplist (2.53 KB, patch)
2020-06-12 11:52 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2020-06-01 21:24:38 UTC
Created attachment 215148 [details]
svn-based update to 1.4.4.1

devell/notcurses has been updated to 1.4.4.1 upstream. The attached patch updates the Port. Thanks!
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-02 05:59:38 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Nick Black 2020-06-03 01:18:19 UTC
Comment on attachment 215148 [details]
svn-based update to 1.4.4.1

Looks good to me!
Comment 3 Nick Black 2020-06-03 01:18:42 UTC
(In reply to Fernando Apesteguía from comment #1)

Thanks for making me aware of this! Done.
Comment 4 Fernando Apesteguía freebsd_committer 2020-06-04 06:35:20 UTC
Created attachment 215212 [details]
additional improvements on top of submitter's patch

Hi Nick,

During QA some issues popped up:

* The dependency on doctest should be like this:
  BUILD_DEPENDS=  ${LOCALBASE}/include/doctest/doctest.h:devel/doctest
* There were a couple of issues in pkg-plist (check new patch)
* This now builds on 12.1 and 13-current but fails to link in 11.3 due to this error:
  undefined reference to `getrandom'

Notice that I added LDFLAGS to Makefile but the port doesn't seem to pick it up. Would you mind having a look at this?
Comment 5 Nick Black 2020-06-04 20:25:29 UTC
(In reply to Fernando Apesteguía from comment #4)

Thanks for bringing these issues to my attention.

* doctest dep: will fix
* pkg-plist: will merge your changes
* i don't believe it has ever built on 11, due to lack of getrandom() (introduced in freebsd 12). i would fix it, except that the 1.4.5 release already has a fix, and is intended for release this week. if necessary, i can just hold off for 1.4.5.
* LDFLAGS: will take a look at this, thanks

i should be able to have this turned around by tomorrow at the latest.
Comment 6 Fernando Apesteguía freebsd_committer 2020-06-05 06:07:58 UTC
Created attachment 215242 [details]
Mark IGNORE on FreeBSD < 12

You are right. In that case we should just mark the port as IGNORE in FreeBSD < 12.
Comment 7 Nick Black 2020-06-05 06:16:36 UTC
(In reply to Fernando Apesteguía from comment #6)

That would work, but I'm only a few hours out from releasing 1.4.5, which will work (I think) on FreeBSD 11 just fine. So I'm going to carry your changes forward and cut a new Port build of that. I'll update the summary and patch on this bug when I do so. Sound good? Thanks for all the help!
Comment 8 Fernando Apesteguía freebsd_committer 2020-06-05 06:28:44 UTC
(In reply to Nick Black from comment #7)
Sure thing, go ahead!
Comment 9 Nick Black 2020-06-09 21:43:50 UTC
Created attachment 215404 [details]
rollup patch update to 1.5.0

Obsoletes all other attachments, updates to 1.5.0. This ought build on FreeBSD 11, unlike prior versions.
Comment 10 Fernando Apesteguía freebsd_committer 2020-06-10 05:44:47 UTC
Hi there!

$ portlint -AC
WARN: Makefile: [17]: whitespace before end of line.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: no port directory /usr/ports/devel/doctest found, even though it is listed in BUILD_DEPENDS.
WARN: Makefile: extra item placed in the *_DEPENDS section.
0 fatal errors and 4 warnings found.


Also, there is a double ++ in USES.

Would you mind checking again? :)

Thanks!
Comment 11 Nick Black 2020-06-11 08:10:34 UTC
(In reply to Fernando Apesteguía from comment #10)

How embarrassing!

Interestingly, portlint -AC shows something different on my FreeBSD 12.1 install.

> WARN: Makefile: no port directory /usr/ports/devel/doctest found, even though it is listed in BUILD_DEPENDS.

I don't get this warning, unless I remove said directory (yes, my Ports checkout is in /usr/ports). If I "svn up" in my Ports checkout, doctest comes back, so it's definitely in the repo. ${LOCALBASE} doesn't seem to reference /usr/ports, and there is no other absolute path in the line, so I'm not sure what exactly is going on here. I hesitate to ask, but are you running this in an up-to-date Ports checkout?

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.

This seems due to your use of the -A flag to portlint, which implies -N (among other things). I do not believe -N applies to this Port, as it is not a new Port--it has been present for at least a month, across at least two revisions.

> WARN: Makefile: [17]: whitespace before end of line.

Fixed.

I've tested this change with `portlint -C` (though *not* `portlint -AC`), and I get 0 warnings and 0 errors. Thanks for all your help!
Comment 12 Nick Black 2020-06-11 08:11:39 UTC
Created attachment 215434 [details]
1.5.0 update patch that passes portlint -C

This one passes portlint -C on my FreeBSD 12.1-RELEASE install just fine. Ports collection checkout 538343M.
Comment 13 Fernando Apesteguía freebsd_committer 2020-06-11 08:36:38 UTC
(In reply to Nick Black from comment #11)

Hi Nick, thanks for the update.

portlint -AC works for both new and existent ports so I don't have to "think" if I'm committing something new or not. It's just a habit :)

My local /usr/ports directory is not updated (could not even exist) and portlint is not smart enough to know that it is working in a local checkout. For that reason it says it can't find doctest, but it surely exists in the repo. No worries with that.

The patch is queued in my box to build test it.

Thanks!
Comment 14 Fernando Apesteguía freebsd_committer 2020-06-11 10:08:35 UTC
There seems to be some pkg-plist issues. Would you check?

make makeplist does a pretty good job generating pkg-plist files.

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/worldmap.png
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Cheers!
Comment 15 Nick Black 2020-06-12 04:25:23 UTC
Created attachment 215476 [details]
1.5.0 patch passes portlint -C / makeplist

Rollup
Comment 16 Nick Black 2020-06-12 04:26:15 UTC
Thanks for the pointer to make makeplist. My pkg-plist now matches the output of that, save for where I've replaced 1 with %%ABI_NAME%%.
Comment 17 Fernando Apesteguía freebsd_committer 2020-06-12 07:54:22 UTC
(In reply to Nick Black from comment #16)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DOCSDIR%%/NEWS.md
Error: Missing: %%DOCSDIR%%/OTHERS.md
Error: Missing: %%DOCSDIR%%/README.md
Error: Missing: %%DOCSDIR%%/USAGE.md
===> Error: Plist issues found.

Be aware that we have to always check. Those files are only install when the DOCS option is set... maybe something like this?

%%PORTDOCS%%%%DOCSDIR%%/NEWS.md
%%PORTDOCS%%%%DOCSDIR%%/OTHERS.md
%%PORTDOCS%%%%DOCSDIR%%/README.md
%%PORTDOCS%%%%DOCSDIR%%/USAGE.md

Would you mind checking?
Comment 18 Nick Black 2020-06-12 07:58:08 UTC
(In reply to Fernando Apesteguía from comment #17)

Hrmm, that's exactly what I have in this latest patch, so far as I can tell..

+%%PORTDOCS%%%%DOCSDIR%%/NEWS.md
+%%PORTDOCS%%%%DOCSDIR%%/OTHERS.md
+%%PORTDOCS%%%%DOCSDIR%%/README.md
+%%PORTDOCS%%%%DOCSDIR%%/USAGE.md
Comment 19 Fernando Apesteguía freebsd_committer 2020-06-12 10:42:23 UTC
(In reply to Nick Black from comment #18)
Sorry, I explained very poorly.

When using PORTDOCS=* or PORTEXAMPLES=* those files can not be present in pkg-plist. That is why we have to check.

Deleting those lines work as it should. Would you test change it? We are pretty close to have this landed. Just one more thing: the port does not build in FreeBSD < 12 because getrandom(3) is not present. I think we should include the change in https://bz-attachments.freebsd.org/attachment.cgi?id=215242 to IGNORE those systems.
Comment 20 Nick Black 2020-06-12 11:52:06 UTC
Created attachment 215483 [details]
1.5.0 with 11 guard + portlint clear + makeplist

This rolls up both my update and the guard against FreeBSD 11.
Comment 21 Nick Black 2020-06-12 11:52:44 UTC
Comment on attachment 215242 [details]
Mark IGNORE on FreeBSD < 12

Rolled up into my most recent notcurses-1.5.0.diff.
Comment 22 commit-hook freebsd_committer 2020-06-12 12:18:03 UTC
A commit references this bug:

Author: fernape
Date: Fri Jun 12 12:17:09 UTC 2020
New revision: 538607
URL: https://svnweb.freebsd.org/changeset/ports/538607

Log:
  devel/notcurses: update to 1.5.0

  ChangeLog: https://github.com/dankamongmen/notcurses/releases/tag/v1.5.0

  PR:	246923
  Submitted by:	nickblack@linux.com (maintainer)

Changes:
  head/devel/notcurses/Makefile
  head/devel/notcurses/distinfo
  head/devel/notcurses/pkg-plist
Comment 23 Fernando Apesteguía freebsd_committer 2020-06-12 12:18:47 UTC
Committed,

Thank you very much for your work!
Comment 24 commit-hook freebsd_committer 2020-06-13 15:54:03 UTC
A commit references this bug:

Author: fernape
Date: Sat Jun 13 15:53:17 UTC 2020
New revision: 54252
URL: https://svnweb.freebsd.org/changeset/doc/54252

Log:
  Add Nick Black to contributors

  Maintainer of:  devel/doctest
  		devel/notcurses

  PR:             246923

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml